<?php
// wcf imports
require_once(WCF_DIR.'lib/data/message/bbcode/BBCodeParser.class.php');
require_once(WCF_DIR.'lib/data/message/bbcode/BBCode.class.php');

/**
 * Provides a bbcode to link clipfish videos.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2009 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.data.message.bbcode.media
 * @subpackage	data.message.bbcode
 * @category 	Community Framework (commercial)
 */
class ClipfishBBCode implements BBCode {
	/**
	 * @see BBCode::getParsedTag()
	 */
	public function getParsedTag($openingTag, $content, $closingTag, BBCodeParser $parser) {
		$videoID = $openingTag['attributes'][0];
		if (preg_match('!videoid=([a-z0-9%]+)!i', $videoID, $match)) $videoID = $match[1];
		else if (preg_match('!video/([a-z0-9%]+)!i', $videoID, $match)) $videoID = $match[1];
	
		if ($parser->getOutputType() == 'text/html') {
			return '<object width="464" height="380" type="application/x-shockwave-flash" data="http://www.clipfish.de/videoplayer.swf?as=0&amp;'.(is_numeric($videoID) ? 'vid' : 'videoid').'='.$videoID.'&amp;r=1"><param name="allowScriptAccess" value="sameDomain" /><param name="movie" value="http://www.clipfish.de/videoplayer.swf?as=0&amp;'.(is_numeric($videoID) ? 'vid' : 'videoid').'='.$videoID.'&amp;r=1" /><param name="wmode" value="transparent" /><param name="quality" value="high" /><param name="bgcolor" value="#999999" /></object>';
		}
		else if ($parser->getOutputType() == 'text/plain') {
			return 'http://www.clipfish.de/video/'.$videoID.'/';
		}
	}
}
?>