<?php
// wcf imports
require_once(WCF_DIR.'lib/data/message/bbcode/BBCodeParser.class.php');
require_once(WCF_DIR.'lib/data/message/bbcode/BBCode.class.php');

/**
 * Provides a bbcode to link google videos.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2009 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.data.message.bbcode.media
 * @subpackage	data.message.bbcode
 * @category 	Community Framework (commercial)
 */
class GoogleVideoBBCode implements BBCode {
	/**
	 * @see BBCode::getParsedTag()
	 */
	public function getParsedTag($openingTag, $content, $closingTag, BBCodeParser $parser) {
		$docID = $openingTag['attributes'][0];
		if (preg_match('!docid=(-?[0-9]+)!', $docID, $match)) $docID = $match[1];
		
		if ($parser->getOutputType() == 'text/html') {
			return '<object width="400" height="326" type="application/x-shockwave-flash" data="http://video.google.com/googleplayer.swf?docId='.$docID.'&amp;hl=en"><param name="movie" value="http://video.google.com/googleplayer.swf?docId='.$docID.'&amp;hl=en" /><param name="wmode" value="transparent" /></object>';
		}
		else if ($parser->getOutputType() == 'text/plain') {
			return 'http://video.google.com/videoplay?docid='.$docID;
		}
	}
}
?>