<?php
// wcf imports
require_once(WCF_DIR.'lib/data/message/bbcode/BBCodeParser.class.php');
require_once(WCF_DIR.'lib/data/message/bbcode/BBCode.class.php');

/**
 * Provides a bbcode to link myspace.com videos.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2009 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.data.message.bbcode.media
 * @subpackage	data.message.bbcode
 * @category 	Community Framework (commercial)
 */
class MySpaceBBCode implements BBCode {
	/**
	 * @see BBCode::getParsedTag()
	 */
	public function getParsedTag($openingTag, $content, $closingTag, BBCodeParser $parser) {
		$videoID = $openingTag['attributes'][0];
		if (preg_match('!videoID=([0-9]+)!i', $videoID, $match)) $videoID = $match[1];
		
		if ($parser->getOutputType() == 'text/html') {
			return '<object width="430" height="346" type="application/x-shockwave-flash" data="http://lads.myspace.com/videos/vplayer.swf"><param name="FlashVars" value="m='.$videoID.'&amp;type=video" /><param name="movie" value="http://lads.myspace.com/videos/vplayer.swf" /><param name="wmode" value="transparent" /></object>';
		}
		else if ($parser->getOutputType() == 'text/plain') {
			return 'http://vids.myspace.com/index.cfm?fuseaction=vids.individual&videoid='.$videoID;
		}
	}
}
?>