<?php
// wcf imports
require_once(WCF_DIR.'lib/data/message/bbcode/BBCodeParser.class.php');
require_once(WCF_DIR.'lib/data/message/bbcode/BBCode.class.php');

/**
 * Provides a bbcode to link myvideo.de videos.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2009 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.data.message.bbcode.media
 * @subpackage	data.message.bbcode
 * @category 	Community Framework (commercial)
 */
class MyVideoBBCode implements BBCode {
	protected $sizes = array('l' => array(470, 406), 'm' => array(425, 367), 's' => array(200, 173));

	/**
	 * @see BBCode::getParsedTag()
	 */
	public function getParsedTag($openingTag, $content, $closingTag, BBCodeParser $parser) {
		$videoID = $openingTag['attributes'][0];
		if (preg_match('!watch/([0-9]+)!', $videoID, $match)) $videoID = $match[1];
		
		if ($parser->getOutputType() == 'text/html') {
			// get size
			$size = 'l';
			if (isset($openingTag['attributes'][1])) {
				$size = strtolower($openingTag['attributes'][1]);
			}
			
			return '<object width="'.$this->sizes[$size][0].'" height="'.$this->sizes[$size][1].'" type="application/x-shockwave-flash" data="http://www.myvideo.de/movie/'.$videoID.'"><param name="movie" value="http://www.myvideo.de/movie/'.$videoID.'" /><param name="wmode" value="transparent" /></object>';
			
		}
		else if ($parser->getOutputType() == 'text/plain') {
			return 'http://www.myvideo.de/watch/'.$videoID;
		}
	}
}
?>