<?php
// wcf imports
require_once(WCF_DIR.'lib/data/message/bbcode/BBCodeParser.class.php');
require_once(WCF_DIR.'lib/data/message/bbcode/BBCode.class.php');

/**
 * Provides a bbcode to link sevenload videos.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2009 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.data.message.bbcode.media
 * @subpackage	data.message.bbcode
 * @category 	Community Framework (commercial)
 */
class SevenloadBBCode implements BBCode {
	/**
	 * @see BBCode::getParsedTag()
	 */
	public function getParsedTag($openingTag, $content, $closingTag, BBCodeParser $parser) {
		$videoID = $openingTag['attributes'][0];
		if (preg_match('!/([a-z0-9]{7})-!i', $videoID, $match)) $videoID = $match[1];
		
		if ($parser->getOutputType() == 'text/html') {
			return '<object width="500" height="408" type="application/x-shockwave-flash" data="http://en.sevenload.com/pl/'.$videoID.'/500x408/swf"><param name="movie" value="http://en.sevenload.com/pl/'.$videoID.'/500x408/swf" /></object>';
		}
		else if ($parser->getOutputType() == 'text/plain') {
			return 'http://en.sevenload.com/pl/'.$videoID.'/500x408/swf';
		}
	}
}
?>